import java.io.BufferedReader;
import java.io.FileReader;
import java.util.StringTokenizer;
 
public class FileRead {
	public static String FileRead(String csvFile, int i) {
		String lineData = "";
		
		try { 
			
		       //String csvFile = "config.csv";

		       //create BufferedReader to read csv file
		       BufferedReader br = new BufferedReader(new FileReader(csvFile));
		       String line = "";
		       StringTokenizer st = null;
		       

		       int lineNumber = 0; 

		       //read comma separated file line by line
		       while ((line = br.readLine()) != null && lineNumber <= i) {
		         lineNumber++;
		       }

		         //use comma as token separator
		         st = new StringTokenizer(line, ",");

		         while (st.hasMoreTokens()) {

		           //csv values
		           lineData = lineData+" "+st.nextToken();
		         }
		         br.close();

		     } catch (Exception e) {
		       System.err.println("CSV file cannot be read : " + e);
		     }
		return lineData;
	}
	
	public static int noOfLinesInFile(String csvFile) {
		int lineNumber = 0; 
		try { 

		       //create BufferedReader to read csv file
		       BufferedReader br = new BufferedReader(new FileReader(csvFile));
		       String line = "";     

		       //read comma separated file line by line
		       while ((line = br.readLine()) != null) {
		         lineNumber++;
		       }
		}catch (Exception e) {
		       System.err.println("CSV file cannot be read : " + e);
		     }
		return lineNumber;

	}

}
