import com.frevvo.forms.client.FormsService;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

import com.frevvo.forms.client.ApplicationFeed;
import com.frevvo.forms.client.UserEntry;

public class uploader {

	 public static void main(String[] args) throws IOException {

		 Properties appProperties = new Properties();
		 String path1 = System.getProperty("user.dir");
		 String configFilepath = path1+"\\config.properties";
		 String testdataFilepath = path1+"\\testdata.csv";		 
		 
		try {
			Map<String, String> params = new HashMap<String, String>();
            params.put("autoLogin", "true");
            //Get the Server details from config file
            appProperties.load(new FileInputStream(configFilepath));
            
            String serverUrl = appProperties.getProperty("URL");
            String[] url = serverUrl.split(":");
            if (url.length == 3) {
            	url[0] = url[0].split(" ")[0];
            	url[1] = url[1].split("//")[1];
            	int port = Integer.parseInt(url[2]);
            	FormsService service;
            	service = new FormsService(url[0], url[1], port, null);
            
            	String testdataPath = appProperties.getProperty("PATH");
			
            	int n = FileRead.noOfLinesInFile("testdata.csv");
			
            	for (int i=-1;i<=n-2;i++){
								
            		//Get the login details from config file
            		String loginDetails = FileRead.FileRead(testdataFilepath,i);
            		String[] login = loginDetails.split(" ");
            		System.out.println("Logging in as "+login[1]+"..");
            		service.login(login[1], login[2]);
            		String username = login[1];
            		UserEntry user = ApiHelper.getUserEntry(service);
            		ApplicationFeed apps = user.getApplicationFeed();
            		for (int j=3;j<login.length;j++) {
            			String filePath = testdataPath+login[j];
            			InputStream is = new FileInputStream(filePath);
            			ApiHelper.uploadNewApplication(service, apps, is);
            			String appname = login[j].split("_app")[0];
            			System.out.println("Application "+ appname +" uploaded in "+ username);
            		}
            		service.logout();
            	}
            }
            else {
            	System.out.println("Error : Please check your server url. The format of url required is http(s)://{server}:{port}");
            }
			
		}
		catch (Exception e) {
			System.out.println("Exception "+e);
		}		
	 }
}